Bug 477961 - memory leak in multiload-applet-2 caused by libgtop2 leak
memory leak in multiload-applet-2 caused by libgtop2 leak
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgtop2 (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 09:28 EST by David Mansfield
Modified: 2014-06-18 05:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:24:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix memory leak in libgtop2 (581 bytes, patch)
2008-12-26 09:28 EST, David Mansfield
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 557602 None None None Never
Launchpad 307472 None None None Never

  None (edit)
Description David Mansfield 2008-12-26 09:28:48 EST
Created attachment 327856 [details]
fix memory leak in libgtop2

Description of problem:
multiload-applet-2 leaks terribly in f10

Version-Release number of selected component (if applicable):
f10
gnome-applets-2.24.2-2.fc10.x86_64
libgtop2-2.24.0-2.fc10.x86_64

How reproducible:
always

Steps to Reproduce:
1. login to gnome. add multiload-applet to panel
2. not sure if necessary, but configure multiload-applet-2 to watch all monitored resoures (proc., memory, network, swap, load and harddisk)
3. watch the memory usage of multiload-applet-2

  
Actual results:
usage goes up and up with no bound at a constant rate.

Expected results:
no increased memory usage

Additional info:
This bug is reported in upstream gnome bugzilla, where a fix from the ubuntu folks has been added:

http://bugzilla.gnome.org/show_bug.cgi?id=557602

The original (fixed) bug in ubuntu, with analysis and valgrind logs is:

https://bugs.launchpad.net/ubuntu/intrepid/+source/libgtop2/+bug/307472

Thanks to ubuntu and Brian Downing for the real legwork.

This should be a slam dunk.

I'm going to attach Brian's patch here as well.
Comment 1 David Mansfield 2009-01-11 21:57:09 EST
i should add, in the interests of getting this fixed, that when i said above that the patch 'has been added in upstream', i mean that _I_ attached this same patch there in the hope that the fix would be applied either upstream or here in fedora.  otherwise, I have to kill the applet ever 3 days or so or risk OOM-ing my system.
Comment 2 David Mansfield 2009-01-19 15:14:03 EST
is there anything additional I can do at this point to help this along?
Comment 3 David Mansfield 2009-01-21 11:02:01 EST
this has been fixed upstream, and the fix should be available when the (now in updates-testing) 2.24.3 hits.  i can confirm that the testing version fixes the problem.
Comment 4 Bug Zapper 2009-11-18 04:42:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:24:21 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.